PATCH
https://api.breeze.blue/v1/voices/{voice_id}/settingsUpdate voice settings
Update voice_settings. At least one field is required.
Authentication
API key: Send your Breeze Developer API key with the xi-api-key header.
Headers
| Field | Type | Description |
|---|---|---|
xi-api-keyrequired | string | Your Breeze Developer API key. See authentication. |
content-typerequired | string | application/json |
Path parameters
| Field | Type | Description |
|---|---|---|
voice_idrequired | string | Voice identifier returned by GET /v1/voices. |
Request body
| Field | Type | Description |
|---|---|---|
guidance_scale | number | guidance_scale request field for VoiceSettingsPayload. |
Example request
python
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
settings = client.voices.edit_settings(
"voc_xeh3w54cqvnp",
guidance_scale=1.4,
)
print(settings)
typescript
import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const settings = await client.voices.editSettings("voc_xeh3w54cqvnp", {
guidanceScale: 1.4,
});
console.log(settings);
curl
curl -X PATCH "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp/settings" \
-H "xi-api-key: $BREEZE_API_KEY" \
-H "content-type: application/json" \
--data '{
"guidance_scale": 1.4
}'
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
settings = client.voices.edit_settings(
"voc_xeh3w54cqvnp",
guidance_scale=1.4,
)
print(settings)Response
Updated voice settings.
Content types: application/json
Response headers:
x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
"guidance_scale": 1
}Errors
BAD_REQUEST— At least one voice_settings field must be provided.RESOURCE_NOT_FOUND— The voice_id does not exist or is not accessible.
See the full list on errors.